Name:           freexl
Version:        2.0.0
Release:        %mkrel 3
Summary:        Library to extract valid data from within an Excel
License:        GPLv2+ or MPLv1.1 or LGPLv2+
Group:          Development/C
URL:            https://www.gaia-gis.it/fossil/freexl/index
Source:         https://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(minizip)

%description
FreeXL is an open source library to extract valid data from within an Excel
(.xls) spreadsheet.

#-----------------------------------------------------------------------------

%define major 1
%define libname	%mklibname %{name} %{major}

%package -n %{libname}
Summary:        Shared library for FreeXL
Group:          System/Libraries
Provides:       %{name} lib%{name}

%description -n %{libname}
FreeXL is a C library implementing direct reading of Microsoft Excel 
spreadsheets, up to the BIFF8 file format specification (i.e. .xls, 
Microsoft Excel XP/2003 and older).
The XML SS file format specification (.xlsx, Microsoft Excel 2007 and newer) 
is not supported. 

%files -n %{libname}
%license COPYING
%doc AUTHORS README
%{_libdir}/libfreexl.so.%{major}{,.*}

#-----------------------------------------------------------------------------

%define devel_name	%mklibname %{name} -d

%package -n %{devel_name}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:       glibc-devel
Requires:       pkgconfig
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n %{devel_name}
This package contains all necessary include files and libraries needed to
compile and develop applications that use %{name}.

%files -n %{devel_name}
%license COPYING
%doc AUTHORS README
%{_includedir}/freexl.h
%{_libdir}/libfreexl.so
%{_libdir}/pkgconfig/freexl.pc

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure \
  --disable-static
%make_build

%check
%make_build check

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.0.0-3.mga10
+ Revision: 2219249
- Mageia 10 Mass Rebuild

* Sun Oct 15 2023 wally <wally> 2.0.0-2.mga10
+ Revision: 1996992
- rebuild for minizip from minizip-ng

* Mon Sep 04 2023 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 1984119
- new version: 2.0.0

* Fri Nov 11 2022 squidf <squidf> 1.0.6-1.mga9
+ Revision: 1905711
- Create lib64freexl1

* Fri Nov 11 2022 squidf <squidf> 1.0.6-0.mga9
+ Revision: 1905651
- First build for MGA
- imported package freexl


* Mon Oct 10 2022 squidf <squid-f> 1.0.6-0
- First release for MGA8
